package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.MerchantAssetDTO;
import com.chelvc.cloud.vehicle.client.param.*;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

@FeignClient("vehicle")
public interface AssetClient {

    @GetMapping("/asset/merchant")
    MerchantAssetDTO getMerchantAsset(@RequestParam("merchantId") Long merchantId);

    @PutMapping(value = "/asset/withdraw")
    void withdrawApply(@RequestBody WithdrawParam param);

    @PostMapping(value = "/asset/withdraw/notify")
    String withdrawNotify(@RequestBody SxyNotifyParam param);

    @PostMapping(value = "/asset/transfer/notify")
    String transferNotify(@RequestBody SxyNotifyParam param);

    /**
     * 手动转账接口
     */
    @PostMapping("/asset/transfer")
    void transfer(@RequestBody TransferParam param);
}
