package com.chelvc.cloud.vehicle.client.dto;

import com.chelvc.cloud.vehicle.client.param.Payment;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * @author liude
 * @date 2024/12/24 21:45
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class RefundDTO extends Payment implements Serializable {
    /**
     * 交易流水号	交易流水号
     */
    private String serialNumber;
    /**
     * 状态	SUCCESS 成功(此成功状态为提交请求至首信易成功而不是退款成功),
     *     FAILED 失败
     *     ERROR 错误(此状态的返回参数见异常情况说明)
     */
    private String status;
    /**
     * 退款金额	单位:分，1元=100分
     */
    private String amount;
    /**
     * 退款币种	默认人民币CNY
     */
    private String currency;



}
