package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TeamDTO implements Serializable {

    private static final long serialVersionUID = 830186969637948801L;

    /**
     * 邀请总人数
     */
    private long total = 0;

    /**
     * 邀请总收益
     */
    private BigDecimal totalAmount = BigDecimal.ZERO;

    /**
     * 今日新增
     */
    private long today = 0;

    /**
     * 昨日新增
     */
    private long lastDay = 0;

    /**
     * 本月新增
     */
    private long toMonth = 0;

    /**
     * 上月新增
     */
    private long lastMonth = 0;

    /**
     * 邀请用户信息
     */
    private List<TeamDetailsDTO> records;
}
