package com.chelvc.cloud.vehicle.client.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@ToString(callSuper = true)
public class UserAuthDTO {

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 认证状态：认证状态：0-未申请；1-审核中；2-入网完成；3-审核通过；4-审核不通过；5-审核拒绝；6-待签约；7-签约中；8-签约失败；9-签约成功；
     */
    private Integer status;

    /**
     * 真实姓名
     */
    private String userName;

    /**
     * 身份证正面照片
     */
    private String idCardFrontPhoto;

    /**
     * 身份证反面照片
     */
    private String idCardBackPhoto;

    /**
     * 银行卡照片
     */
    private String bankCardNo;

    /**
     * 身份证号
     */
    private String idCardNo;

    /**
     * 电话
     */
    private String phone;

    /**
     * 身份证有效期开始时间
     */
    private Date idCardExpirationDateStart;

    /**
     * 身份证有效期
     */
    private Date idCardExpirationDate;

    public static UserAuthDTO init(Integer status){
        UserAuthDTO dto = new UserAuthDTO();
        dto.setStatus(status);
        return dto;
    }
}
