package com.chelvc.cloud.vehicle.client.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.cloud.vehicle.client.constant.CouponType;
import com.chelvc.cloud.vehicle.client.constant.UserCouponStatus;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 优惠卷领取记录
 *
 * @author qizai
 * @date 2023/9/8
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserCouponDTO implements Serializable {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 优惠券ID
     */
    private Long couponId;

    /**
     * 优惠券类型
     */
    private CouponType type;

    /**
     * 商户ID
     */
    private Long merchantId;

    /**
     * 优惠金额/折扣
     */
    private BigDecimal amount;

    /**
     * 门槛金额
     */
    private BigDecimal doorsillAmount;

    /**
     * 是否已使用
     */
    private Integer used;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 核销时间
     */
    private Date consumptionTime;

    /**
     * 截止时间
     */
    private Date endTime;

    /**
     * 标识：0-新消息；1-已查看
     */
    private Integer flag;

    /**
     * 是否是平台优惠券
     */
    private Integer platformFlag;

    /**
     * 优惠券描述
     */
    private String description;

    /**
     * 用户优惠券状态
     */
    private UserCouponStatus status;
//    /**
//     * 主键
//     */
//    @TableId(type = IdType.AUTO)
//    private Long id;
//
//    /**
//     * 用户ID
//     */
//    private Long userId;
//
//    /**
//     * 优惠券ID
//     */
//    private Long couponId;
//
//    /**
//     * 优惠券类型
//     */
//    private CouponType type;
//
//    /**
//     * 商户ID
//     */
//    private Long merchantId;
//
//    /**
//     * 优惠金额/折扣
//     */
//    private BigDecimal amount;
//
//    /**
//     * 门槛金额
//     */
//    private BigDecimal doorsillAmount;
//
//    /**
//     * 是否已使用
//     */
//    private Integer used;
//
//    /**
//     * 开始时间
//     */
//    private Date startTime;
//
//    /**
//     * 核销时间
//     */
//    private Date consumptionTime;
//
//    /**
//     * 截止时间
//     */
//    private Date endTime;
//
//    /**
//     * 标识：0-新消息；1-已查看
//     */
//    private Integer flag;
//
//    /**
//     * 是否是平台优惠券
//     */
//    private Integer platformFlag;
//
//    /**
//     * 用户优惠券状态
//     */
//    private UserCouponStatus status;
//
//    /**
//     * 优惠券描述
//     */
//    private String description;

    /**
     * 是否显示
     */
	private boolean display = true;
}
