package com.chelvc.cloud.vehicle.client.param;

import lombok.Data;
import java.io.Serializable;

@Data
public class MerchantApplyRecordParam extends SxyNotifyParam implements Serializable {

    private static final long serialVersionUID = -2573234532369937880L;

    /**
     * 请求号
     */
    private String requestId;

    /**
     * 子商户审核状态
     * PROCESSING 审核中(ocr校验失败时返回该状态，子商户审核备注信息中可查看详情)
     * PASS 审核通过
     * NO_PASS 审核不通过
     * REFUSE 审核拒绝
     * ESIGN_PROCESS 待签约
     * ESIGN_PROCESSING 签约中
     * ESIGN_FAIL 签约失败(电子签签约状态）
     * ESIGN_SUCCESS 签约成功(电子签签约状态）
     * SUCCESS 入网完成
     */
    private String subMerchantReviewStatus;

    /**
     * 审核备注
     */
    private String subMerchantReviewRemarks;

    /**
     * 子商户编号
     */
    private String subMerchantId;

    /**
     * 电子签约链接
     */
    private String electronicContractingUrl;

    /**
     * 核查状态
     * INIT 初始化
     * SUCCESS 核查通过
     * FAIL 核查不通过
     * COMPLEMENT 核查补充
     */
    private String postReviewStatus;

    /**
     * 核查补充链接
     */
    private String certificateSupplementUrl;

    /**
     * 	核查备注
     */
    private String postReviewRemark;

    /**
     * 签名
     */
    private String hmac;
}
