package com.chelvc.cloud.vehicle.client.param;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserInviteParams implements Serializable {

    private static final long serialVersionUID = 3682560818752891605L;

    /**
     * 邀请用户
     */
    @NotNull(message = "用户不能为空")
    private Long userId;

    /**
     * 被邀请用户
     */
    @NotNull(message = "被邀请用户不能为空")
    private Long targetId;

    /**
     * 类型：1-用户；2-商家
     */
    @NotNull(message = "类型不能为空")
    private Integer type;
}
