package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.UserAuthDTO;
import com.chelvc.cloud.vehicle.client.param.UserAuthParam;
import com.chelvc.cloud.vehicle.server.service.UserAuthService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Validated
@RestController
@ResponseWrapping
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class UserAuthController {

    private final UserAuthService userAuthService;

    @GetMapping("/user/auth")
    UserAuthDTO getUserAuthInfo(@RequestParam("userId") Long userId){
        return userAuthService.getUserAuthInfo(userId);
    }

    @PutMapping(value = "/user/auth")
    void userAuth(@RequestBody UserAuthParam param){
        userAuthService.userAuth(param);
    }
}
