package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.client.dto.BalanceDetailDTO;
import com.chelvc.cloud.vehicle.client.dto.EarningsDTO;
import com.chelvc.cloud.vehicle.client.dto.WalletDTO;
import com.chelvc.cloud.vehicle.server.entity.BalanceDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Mapper
@Repository
public interface BalanceDetailMapper extends BaseMapper<BalanceDetail> {

    IPage<BalanceDetailDTO> queryByUserId(@Param("page") Page<BalanceDetailDTO> page, @Param(Constants.WRAPPER) QueryWrapper<BalanceDetail> queryWrapper);

    WalletDTO getMerchantAsset(@Param("merchantId") Long merchantId);

    /**
     * 获取7天收益、总收益、一个月得收益
     * @param userId
     * @return
     */
    EarningsDTO getBalanceRecord(@Param("userId")Long userId, @Param("type")Integer type);
}
