package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.user.client.dto.EmployeeDTO;
import com.chelvc.cloud.vehicle.server.entity.GoodsAssess;
import org.apache.ibatis.annotations.*;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author valley
 * @date 2024/02/03 15:27
 **/
@Mapper
public interface GoodsAssessMapper extends BaseMapper<GoodsAssess> {
    @Select("select id from goods")
    List<Long> getAllGoodsIds();

    @Select("select " +
            "IFNULL((select  avg(score) avg from goods_assess where goods_id = a.id), 0) avg_score ,  " +
            "IFNULL((select  avg(score) year_score  from goods_assess where goods_id =  a.id AND create_time between DATE_SUB(now(), INTERVAL 365 DAY) AND now()), 0) year_score ,  " +
            "IFNULL((select  avg(score) year_score  from goods_assess where goods_id =  a.id AND create_time between DATE_SUB(now(), INTERVAL 180 DAY) AND now()), 0) half_year_score ,  " +
            "IFNULL((select  avg(score) year_score  from goods_assess where goods_id =  a.id AND create_time between DATE_SUB(now(), INTERVAL 90 DAY) AND now()), 0) quarter_score ,  " +
            "IFNULL((select  avg(score) year_score  from goods_assess where goods_id =  a.id AND create_time between DATE_SUB(now(), INTERVAL 30 DAY) AND now()), 0) month_score ,  " +
            "IFNULL((select  avg(score) year_score  from goods_assess where goods_id =  a.id AND create_time between DATE_SUB(now(), INTERVAL 7 DAY) AND now()), 0) week_score " +
            "from goods a where a.id = #{goodsId}")
    Map<String, Object> getAllGoodsScore(@Param("goodsId") Long goodsId);

    @Select("select IFNULL(avg(score),0)  from goods_assess where goods_id =  #{goodsId} AND create_time between DATE_SUB(now(), INTERVAL ${day} DAY) AND now()")
    BigDecimal getGoodsScore(@Param("day") Integer day, @Param("goodsId") Long goodsId);

    @Update("update goods set score = #{score} where id = #{goodsId}")
    void updateGoodsAvgScore(@Param("score") BigDecimal goodsAvgScore, @Param("goodsId") Long goodsId);

    @Delete("delete from assess_score")
    void clearScore();

    @Select("select score from goods where id = #{goodsId}")
    BigDecimal getGoodsAvgScore(Long goodsId);

    @Update("update oms_order set comment_status = 'Y' where id = #{orderId}")
    int updatePersonalAssessStatus(@Param("orderId") Long orderId);

    @Select("select * from employee where id = #{id}")
    EmployeeDTO queryEmployeeInfo(@Param("id") Long id);

    int addAmount(Long userId, Integer type, BigDecimal amount);
}
