package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.client.dto.UserAuthDTO;
import com.chelvc.cloud.vehicle.server.entity.UserAuth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface UserAuthMapper extends BaseMapper<UserAuth> {
    UserAuthDTO getUserAuthInfo(@Param("userId") Long userId);

    @Update("update user_auth set status = #{status}, message = #{message} where id = #{id}")
    void updateStatusById(@Param("id")Long id, @Param("status") Integer status, @Param("message") String message);

    @Update("update user_auth set status = #{status}, message = #{message} where user_id = #{userId}")
    int updateStatusByUserId(@Param("userId")Long userId, @Param("status")Integer status, @Param("message")String message);
}
