package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class BalanceDetail implements Entity<Long> {
    private static final long serialVersionUID = -4673150288436488029L;
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    private Long targetId;
    private Integer type;
    private Long orderId;
    private Integer flowType;
    private Long sourceId;
    /**
     * 类型：0-商品出售；1-用户分佣；2-商户分佣；3-平台分佣；4-提现
     */
    private Integer operateType;
    private BigDecimal operateAmount;
    /**
     * 扣除金额：提现-手续费；分佣扣税
     */
    private BigDecimal deduct;
    /**
     * 实际金额
     */
    private BigDecimal realityAmount;
    private BigDecimal surplusAmount;
    private Date createTime;
    private String remark;
}
