package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.database.entity.ModifyEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单退货申请对象 oms_order_return_apply
 * 
 * @author liude
 * @date 2023-11-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class OmsOrderReturnApply extends ModifyEntity<Long>
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 订单id */
    private Long orderId;

    /** 商户id */
    private Long merchantId;

    /** 收货地址表id */
    private Long companyAddressId;

    /** 订单编号 */
    private String orderSn;


    /** 退款金额 */
    private BigDecimal returnAmount;

    /** 退货人姓名 */
    private String returnName;

    /** 退货人电话 */
    private String returnPhone;

    /** 申请状态：0->待处理；1->退货中；2->已完成；3->已拒绝 */
    private Long status;

    /** 处理时间 */
    private Date handleTime;

    /** 原因 */
    private String reason;

    /** 描述 */
    private String description;

    /** 凭证图片，以逗号隔开 */
    private String proofPics;

    /** 处理备注 */
    private String handleNote;

    /** 处理人员 */
    private String handleMan;

    /** 收货人 */
    private String receiveMan;

    /** 收货时间 */
    private Date receiveTime;

    /** 收货备注 */
    private String receiveNote;
}
