package com.chelvc.cloud.vehicle.server.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.chelvc.cloud.vehicle.client.dto.OmsOrderItemDTO;
import com.chelvc.cloud.vehicle.server.copier.OrderItemCopier;
import com.chelvc.cloud.vehicle.server.dao.OmsOrderItemMapper;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderItem;
import com.chelvc.cloud.vehicle.server.service.OmsOrderItemService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 订单中所包含的商品Service业务层处理
 *
 * @author liude
 * @date 2023-11-08
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class OmsOrderItemServiceImpl extends ServiceImpl<OmsOrderItemMapper, OmsOrderItem> implements OmsOrderItemService{
    @Override
    public void add(List<OmsOrderItem> omsOrderItemList){
        omsOrderItemList.forEach(item ->{
            this.baseMapper.insert(item);
        });

    }

    @Override
    public List<OmsOrderItem> selectByExample(OmsOrderItem omsOrderItem){
        return this.lambdaQuery().eq(OmsOrderItem::getGoodsId,omsOrderItem.getGoodsId()).list();
    }
    @Override
    public List<OmsOrderItemDTO> getOrderItemByOrderId(Long orderId){
        List<OmsOrderItem> omsOrderItem = this.lambdaQuery().eq(OmsOrderItem::getOrderId,orderId).list();
        return OrderItemCopier.INSTANCE.copying(omsOrderItem);
    }

    @Override
    public List<OmsOrderItem> queryByOrderId(Long orderId){
        List<OmsOrderItem> omsOrderItem = this.lambdaQuery().eq(OmsOrderItem::getOrderId,orderId).list();
        return omsOrderItem;
    }
}
